/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_AUDIO_H
#define OCARINA_GUI_AUDIO_H
#include <gui/builder.h>

/* Audio callback functions. */
extern struct audio_ops audio_ops;

/* Called to initialize the GUI audio controls. */
void gui_audio_init();

/* Called to stop the GUI audio timeout function. */
void gui_audio_deinit();

/* Called to get the label displaying the album tag. */
static inline GtkLabel *gui_album_tag(void)
{
	return GTK_LABEL(gui_builder_widget("album_tag"));
}

/* Called to get the label displaying the artist tag. */
static inline GtkLabel *gui_artist_tag(void)
{
	return GTK_LABEL(gui_builder_widget("artist_tag"));
}

/* Called to get the label displaying the title tag. */
static inline GtkLabel *gui_title_tag(void)
{
	return GTK_LABEL(gui_builder_widget("title_tag"));
}

/* Called to get the label displaying the track's position. */
static inline GtkLabel *gui_position(void)
{
	return GTK_LABEL(gui_builder_widget("position"));
}

/* Called to get the label displaying the track's duration. */
static inline GtkLabel *gui_duration(void)
{
	return GTK_LABEL(gui_builder_widget("duration"));
}

#ifdef CONFIG_TESTING
void test_gui_audio_timeout();
#endif /* CONFIG_TESTING */
#endif /* OCARINA_GUI_AUDIO_H */
